

Name:     transcoder-audio
Version:  0.0.6
Release:  %mkrel 1
Summary: Transcoder Audio Edition
Group:   Sound
License: GPLv3 
URL: http://transcoderae84.sourceforge.net/   
Source0: http://sourceforge.net/projects/transcoderae84/files/0.0.6/TranscoderAudioEdition-%{version}.tar.xz 
Patch: TranscoderAudioEdition-%{version}.patch
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires:  glib2-devel make
Requires: ffmpeg


%description
Transcoder Audio Edition is an audio converter
for Linux which can convert from one audio format
into another and can extract audio tracks from
video files and convert them into audio formats.
It uses GTK+ as GUI toolkit and ffmpeg as backend.


%prep
%setup -q -n TranscoderAudioEdition-%{version}
%patch -p1


%build

%make

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 transcoderaudioedition \
%{buildroot}%{_bindir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install data/*.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png 

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Transcoder Audio Edition
Exec=%{name}
Comment=Convert one audio format into another.
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Sound;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog COPYRIGHT
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%_datadir/applications/%{name}.desktop


%changelog
* Mon Sep 02 2013 Ken <lxgator at gmail.com> 0.0.6-1pclos2013
- initial pkg

